/****************************************************************
* Modul:   TA.BA_MMT.HS1301 - Multimedia Technik (MMT)
* Subject: Processing - Uebung 8 - Konfetti
* Author:  Felix Rohrer
* Desc:    Konfetti: Farben und Transparenz
****************************************************************/

int radius = 75;

// ----- setup() ------------------------------------------------
void setup()
{
  size(500, 500);   // frame size
  background(255);    // black
  smooth();         // use anti-aliasing
  frameRate(20);     // 10 frames per sec
  
  noStroke();
  colorMode(RGB);
}

// ----- draw() -------------------------------------------------
void draw()
{
  drawKonfetti();
  
  //delay(10); --> frameRate()
  
}



// ----- drawKonfetti() -----------------------------------------
void drawKonfetti()
{
  // fill(Red, Green, Blue, Alpha) 
  fill(random(255), random(255), random(255), 255.0 / height * mouseY);
  
  ellipse(random(width), random(height), radius, radius);
  
}


// ----- mousePressed() -----------------------------------------
void mousePressed() {
  // clear image
  background(255);
}



